<?php
/**
 * classes/ibit_Action_EvaluationMakeVisible.class.php
 *
 * @author  Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @author  Jan-Hendrik Willms <tleilax@mindfuck.de>
 * @author  Ivn Marcos <ivan.marcos@gmx.net>
 * @author  Nico Mueller <nico.mueller@uni-oldenburg.de>
 * @package IBIT_Evaluation
 * @copyright Copyright 2006, 2007 IBIT
 * @version 1.7
 */

/**
 *
 * @author     Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @package    IBIT_Evaluation
 * @subpackage Action
 * @copyright  Copyright 2006, 2007 IBIT
 * @version    1.7
 */
class ibit_Action_EvaluationMakeVisible
{
	/**
	 * Referenz auf die Templateklasse
	 * @var object $template
	 */
	var $template;

	/**
	 * Referenz auf das aufrufende Objekt
	 * @var objekt $parent
	 */
	var $parent;

	/**
	 * Konstruktor der Klasse.
	 * @param object $parent Referenz auf das aufrufende Objekt
	 */
	function ibit_Action_EvaluationMakeVisible( $parent )
	{
		$this->template =& $GLOBALS['templatelite'];
		$this->parent = $parent;
	}

	/**
	 * Zeigt das Men zum Auswhlen des Semsters,
	 */
	function show()
	{
		$this->template->assign( 'semester_data', ibit_Helper::getSemester() );
		$this->template->assign( 'link_unlock', $this->parent->base_link.'&command=unlock' );
		$this->template->display( 'admin.evaluation_makevisible.tpl' );

	}

	/**
	 * Schaltet alle beendeten Evaluationen, die noch nicht freigeschaltet sind, zu dem ausgewhlten Semester frei
	 */
	function makeVisible()
	{
		$conn = new ibit_DatabaseConnection( DISPLAY_SQL_ERRORS );
		$sql = 'UPDATE ibit_evaluation SET `visible_date`=NOW(), `visible_author_id`=? WHERE `semester_id`=? AND `visible_author_id` IS NULL AND `stop_date` < NOW();';
		$conn->Execute($sql, Array($_SESSION['auth']->auth['uid'], $_POST['semester_id']));
		$this->template->append( 'messages_success', 'Es wurden alle beendeten Evaluationen in dem ausgewhlten Semester erfolgreich freigeschaltet.' );
		$this->show();

	}
}
?>