<?php
/**
 * classes/ibit_Action_EvaluationSearch.class.php
 *
 * @author  Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @author  Jan-Hendrik Willms <tleilax@mindfuck.de>
 * @author  Ivn Marcos <ivan.marcos@gmx.net>
 * @author  Nico Mueller <nico.mueller@uni-oldenburg.de>
 * @package IBIT_Evaluation
 * @copyright Copyright 2006, 2007 IBIT
 * @version 1.7
 */

/**
 *
 * @author  Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @package    IBIT_Evaluation
 * @subpackage Action
 * @copyright  Copyright 2006, 2007 IBIT
 * @version    1.7
 */
class ibit_Action_EvaluationSearch
{
	/**
	 * Referenz auf die Templateklasse
	 * @var object $template
	 */
	var $template;

	/**
	 * Referenz auf das aufrufende Objekt
	 * @var objekt $parent
	 */
	var $parent;

	/**
	 * Konstruktor der Klasse.
	 * @param object $parent Referenz auf das aufrufende Objekt
	 */
	function ibit_Action_EvaluationSearch( $parent )
	{
		$this->template =& $GLOBALS['templatelite'];
		$this->parent = $parent;
	}

	/**
	 * Zeigt das Men zur Suche an.
	 * @uses ibit_Helper::getSemester()
	 * @uses ibit_EvaluationSeminar::searchSeminarByNameAndSemester();
	 */
	function show()
	{
		if ( !empty( $_POST ) )
		{
			if ( ( strlen( $_POST['veranstaltung'] ) < 3 ) and ( strlen( $_POST['dozent'] ) < 3 ) )
			{
				 $this->template->append( 'messages_errors', 'Der Suchbegriff muss mindestens 3 Zeichen lang sein' );
			}
			else
			{

				$seminars = array();
				$seminar_data = ibit_EvaluationSeminar::searchSeminarByNameAndDozent( $_POST['veranstaltung'], $_POST['dozent'] );
				foreach ($seminar_data as $seminar)
				{
					$seminar['evaluation'] = ibit_Evaluation::getEvaluationBySeminar( $seminar['Seminar_id'] );
					array_push($seminars, $seminar);
				}
				$this->template->assign( 'seminars', $seminars );
				$this->template->assign( 'semester_id', $_POST['semester_id'] );
			}
		}
		#echo "hier die endtabelle<pre>";
		#print_r($seminars);
		#echo "</pre>";
		$this->template->display( 'student.evaluation_seminar_search.tpl' );
	}
}
?>