<?php
/**
 * classes/ibit_Action_Handler_FakAdmin.class.php
 *
 * @author  Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @author  Jan-Hendrik Willms <tleilax@mindfuck.de>
 * @author  Ivn Marcos <ivan.marcos@gmx.net>
 * @author  Nico Mueller <nico.mueller@uni-oldenburg.de>
 * @package IBIT_Evaluation
 * @copyright Copyright 2006, 2007 IBIT
 * @version 1.5
 */

/**
 * Diese Klasse enthlt alle Funktionen und Ansichten, die ein Fakultts-Admin ausfhren/sehen kann.
 *
 * @author     Jan-Hendrik Willms <tleilax@mindfuck.de>
 * @author	   Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @package    IBIT_Evaluation
 * @subpackage Action_Handler
 * @copyright  Copyright 2006, 2007 IBIT
 * @version    1.5
 */
class ibit_Action_Handler_FakAdmin extends ibit_Action_Handler
{
	/**
	 * Id des Admins
	 * @var string $user_id
	 */
	var $user_id;

	/**
	 * Id der Fakultt
	 * @var string $user_id
	 */
	var $faculty_id;

	/**
	 * Konstruktor der Klasse.
	 * Initialisiert die Klasse, indem der Konstruktor der Elternklasse mit dem bergebenen aufrufenden Objekt
	 * und den Standardwerten fr Sektion und Funktion aufgerufen wird.
	 * @param object $parent Referenz auf das aufrufende Objekt
	 */
	function ibit_Action_Handler_FakAdmin( $parent, $user_id, $faculty )
	{
		$this->faculty_id = $faculty;
		parent::ibit_Action_Handler( $parent, 'faculty', 'view' );
		$this->user_id = $user_id;
	}

	/**
	 * Zeigt die Evaluationsverwaltung.
	 * @uses ibit_Action_EvaluationAdministration
	 */
	function faculty_view()
	{
		$command = empty( $_REQUEST['command'] ) ? '' : $_REQUEST['command'];

		$administration = new ibit_Action_EvaluationAdministration( $this );

		$no_header_display = Array( 'evaluation_details' );
		if ( !in_array( $command, $no_header_display ) )
		{
			$administration->displayHeader( $command );
		}

		switch( $command )
		{
			# Evaluation anzeigen
			case 'evaluation_details':
				$administration->evaluation_details( $_REQUEST['evaluation_id'], true );
			break;
			# Laufende Evaluationen eines Institutes anzeigen
			case 'show_institute':
				$administration->show_institute( $_REQUEST['institute_id'], true );
			break;
			# Laufende Evaluationen einer Fakultt anzeigen
			case 'show_faculty':
			default:
				$administration->show_faculty( $this->faculty_id, true );
			break;
		}
	}

}
?>