<?php
	# Debug
	define( 'EVAL_DEBUG', 0 ); // nur Error Meldungen = 1, alle Meldungen bei 2
	define( 'EVAL_FORCE', 1 ); // Grafiken und Templates werden bei jedem Aufruf erzeugt mit 1

	# Debug-Infos
	ini_set( 'display_errors', EVAL_DEBUG > 0 );
	if ( EVAL_DEBUG == 2 )
	{
		error_reporting( E_ALL );
	}
	elseif ( EVAL_DEBUG > 0 )
	{
		error_reporting( E_ERROR );
	}
	define( 'DISPLAY_SQL_ERRORS', EVAL_DEBUG > 0 );

	# Pfade
	$GLOBALS['ibit_eval_pluginpath'] = '/IBIT/ibit_EvaluationAdministrationPlugin/';
	$GLOBALS['ibit_eval_classpath'] = $GLOBALS['PLUGINS_PATH'].$GLOBALS['ibit_eval_pluginpath'];
	$GLOBALS['ibit_eval_imagepath'] = $GLOBALS['TMP_PATH'].'/ibit_images/'; // PFad fr die Grafiken der Auswertung
	$GLOBALS['ibit_eval_summarycachepath'] = $GLOBALS['TMP_PATH'].'/ibit_summarycache/'; //Pfad fr die serialisierten Objekte der Auswertung

	# Datenbankklassen
 	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Evaluation.class.php' );
 	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_EvaluationAnswer.class.php' );
 	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_EvaluationGroup.class.php' );
 	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_EvaluationQuestion.class.php' );
 	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_EvaluationSeminar.class.php' );
 	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_EvaluationTemplate.class.php' );
 	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_EvaluationSummary.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_EvaluationSummaryView.class.php' );

	# Action-Handler-Klassen
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_Handler.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_Handler_Admin.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_Handler_FakAdmin.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_Handler_Teacher.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_Handler_User.class.php' );

	# Action-Klassen
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_Summary.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_EvaluationActivation.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_EvaluationActivationSeminar.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_EvaluationAdministration.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_EvaluationEditTemplate.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_EvaluationXmlExport.class.php');
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_EvaluationParticipate.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_EvaluationMakeVisible.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_EvaluationSearch.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Action_EvaluationConfiguration.class.php' );

	// Helper classes
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Helper.class.php' );
	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_DatabaseConnection.class.php' );
  	require_once( $GLOBALS['ibit_eval_classpath'].'classes/ibit_Graphics.class.php' );
   	require_once( $GLOBALS['ibit_eval_classpath'].'libs/Iterator.php' );
 	require_once( $GLOBALS['ibit_eval_classpath'].'libs/XMLWriter.class.php' );
 	if (file_exists($GLOBALS['ABSOLUTE_PATH_STUDIP'].'datei.inc.php'))
	{
		require_once($GLOBALS['ABSOLUTE_PATH_STUDIP'].'datei.inc.php');
	}
	else
	{
		require_once('lib/datei.inc.php');
	}


 	# Templateklasse
 	require_once( $GLOBALS['ibit_eval_classpath'].'libs/templatelite/class.template.php' );
 	$GLOBALS['templatelite'] = new Template_Lite;
	$GLOBALS['templatelite']->template_dir = $GLOBALS['ibit_eval_classpath'].'templates/';
	$GLOBALS['templatelite']->compile_dir = $GLOBALS['ibit_eval_classpath'].'templates/compiled/';
	if ( EVAL_FORCE ) // bei jedem Aufruf das Template neu kompilieren
	{
		$GLOBALS['templatelite']->force_compile = true;
	}

	/*
	 * Hier die Config aus der DB laden
	 */

	# Grafik-Einstellungen
	$GLOBALS['ibit_eval_imagesettings'] = array(
		'width' => 300, //breite der grafik
		'height' => 230, //hhe
		'type'	=> 'png', //dateiformat
		'shading' => 0 // 1=3d-ansicht
	);

	# Mindestanzahl Teilnehmer fr Auswertung ( Teilnehmerzahl > x, nicht >= x)
	$GLOBALS['ibit_eval_minusers'] = 3;
	$GLOBALS['templatelite']->assign( 'evaluation_summary_minusers', $GLOBALS['ibit_eval_minusers'] );

	# Sitemap - Admin
	$GLOBALS['evaluation_menu_admin'] = array();

	$item = Array( 'title'=>'Evaluationen', 'subitems'=>Array() );
	array_push( $item['subitems'], Array('title'=>'Verwalten', 'section'=>'evaluation', 'function'=>'administration') );
	array_push( $item['subitems'], Array('title'=>'Erstellen', 'section'=>'evaluation', 'function'=>'activation') );
	array_push( $item['subitems'], Array('title'=>'Erstellen (einzeln)', 'section'=>'evaluation', 'function'=>'activation_seminar') );
	array_push( $item['subitems'], Array('title'=>'Freischalten', 'section'=>'evaluation', 'function'=>'unlock') );

	array_push( $GLOBALS['evaluation_menu_admin'], $item );

	$item = Array( 'title'=>'Vorlagen', 'subitems'=>Array() );
	array_push( $item['subitems'], Array('title'=>'bersicht', 'section'=>'templates', 'function'=>'index' ) );
	array_push( $item['subitems'], Array('title'=>'Erstellen', 'section'=>'templates', 'function'=>'create' ) );
	array_push( $item['subitems'], Array('title'=>'Bearbeiten', 'section'=>'templates', 'function'=>'edit', 'hidden'=>true ) );
	array_push( $item['subitems'], Array('title'=>'Lschen', 'section'=>'templates', 'function'=>'delete', 'hidden'=>true ) );
	array_push( $item['subitems'], Array('title'=>'Kopieren', 'section'=>'templates', 'function'=>'copy', 'hidden'=>true ) );
	array_push( $item['subitems'], Array('title'=>'Vorschau', 'section'=>'templates', 'function'=>'preview', 'hidden'=>true ) );

	array_push( $GLOBALS['evaluation_menu_admin'], $item );

	$item = Array( 'title'=>'Sonstiges', 'subitems'=>Array() );
	// array_push( $item['subitems'], Array('title'=>'Backup erstellen', 'section'=>'tools', 'function'=>'backup') );
	array_push( $item['subitems'], Array('title'=>'Konfiguration', 'section'=>'tools', 'function'=>'configure') );
	array_push( $item['subitems'], Array('title'=>'XML-Export', 'section'=>'tools', 'function'=>'xml_export') );

	array_push( $GLOBALS['evaluation_menu_admin'], $item );

	# Sitemap - Fakulttsadmin
	$GLOBALS['evaluation_menu_fakadmin'] = array();

	$item = Array( 'title' => 'Lehrveranstaltungs-Evaluationen', 'subitems' => Array() );
	array_push( $item['subitems'], Array('title'=>'Evaluationsverwaltung', 'section'=>'faculty' ) );

	array_push( $GLOBALS['evaluation_menu_fakadmin'], $item );

	# Sitemap - Dozent
	$GLOBALS['evaluation_menu_dozent'] = array();

	$item = Array( 'title' => 'Lehrveranstaltungs-Evaluationen', 'subitems' => Array() );
	array_push( $item['subitems'], Array('title'=>'Beendete', 'section'=>'expired' ) );
	array_push( $item['subitems'], Array('title'=>'Laufende', 'section'=>'running' ) );

	array_push( $GLOBALS['evaluation_menu_dozent'], $item );

	# Sitemap - Student
	$GLOBALS['evaluation_menu_student'] = array();

	$item = Array( 'title' => 'Lehrveranstaltungs-Evaluationen', 'subitems' => Array() );
	array_push( $item['subitems'], Array('title'=>'Laufende', 'section'=>'running' ) );
	array_push( $item['subitems'], Array('title'=>'Laufende (bereits teilgenommen)', 'section'=>'participated' ) );
	array_push( $item['subitems'], Array('title'=>'Beendete', 'section'=>'expired' ) );
	array_push( $item['subitems'], Array('title'=>'Suchen (Archiv)', 'section'=>'search' ) );

	array_push( $GLOBALS['evaluation_menu_student'], $item );
?>