<?php
/*
 * template_lite plugin
 *
 * Type:     function
 * Name:     confirm
 * Version:  0.5
 * Date:     Jan 6, 2007
 * Author:   Jan-Hendrik Willms <tleilax@mindfuck.de>
 * Purpose:  create a confirm link (javascript as well as html ) for stud-ip
 * Input:    message 	 = confirm message
 *           yes     	 = parameter part of the "yes" link
 *           no      	 = parameter part of the "no" link
 *           name    	 = name of the according image
 *           description = description of the link
 *           base_link   = base link
 */
function tpl_function_confirm($params, &$tpl)
{
	$name         = $params['name'];
	$description  = empty($params['description']) ? $name : $params['description'];
	$message      = $params['message'];
	$yes          = $params['yes'];
	$no           = $params['no'];
	$base_link    = $params['base_link'];

	if ( empty($name) or empty($message) or empty($yes) or empty($base_link) )
	{
		$tpl->trigger_error("confirm: missing parameters");
		return;
	}

	$name = str_replace( Array('','','','',' '), Array('ae','oe','ue','ss',''), strtolower( $name ) );

	$file = './locale/de/LC_BUTTONS/'.$name.'-button.gif';
	$file_assets = './assets/images/'.$name.'.gif';
	if ( !file_exists( $file ) and file_exists( $file_assets ) )
	{
		$file = $file_assets;
	}

	$result = '<img src="'.$file.'" alt="'.$description.'" title="'.$description.'" border="0" align="absmiddle"/>';

	$result = '<a href="'.$base_link.'&confirm=this&message='.urlencode($message).'&yes='.urlencode($base_link.'&'.$yes).'&no='.urlencode($base_link.'&'.$no).'" onclick="if (confirm(\''.strip_tags($message).'\')) location.href=\''.$base_link.'&'.$yes.'\'; return false;">'.$result.'</a>';

	return $result;
}
?>