<?php
/*
 * template_lite plugin
 *
 * Type:     function
 * Name:     makebutton
 * Version:  0.9
 * Date:     Dec 14, 2006
 * Author:   Jan-Hendrik Willms <tleilax@mindfuck.de>
 * Purpose:  create a button for stud-ip
 * Input:    name = name of button
 *			 description = description of button [optional]
 * Examples: {makebutton name="bearbeiten" description="Bearbeiten"}
 */
function tpl_function_makebutton($params, &$tpl)
{
	$name         = $params['name'];
	$description  = empty($params['description']) ? $name : $params['description'];
	$input        = empty($params['input']) ? false : in_array($params['input'], Array(true,1,'true','yes') );
	$link         = empty($params['link']) ? '' : $params['link'];
	$link_onclick = empty($params['link_onclick']) ? '' : $params['link_onclick'];
	$onclick      = empty($params['onclick']) ? $link_onclick : $params['onclick'];
	$target       = empty($params['link_target']) ? '' : $params['link_target'];
	$value        = empty($params['value']) ? $description : $params['value'];

	$name = str_replace( Array('','','','',' '), Array('ae','oe','ue','ss',''), strtolower( $name ) );
	$input_name   = empty($params['input_name']) ? $name : $params['input_name'];

	if (empty($name))
	{
		$tpl->trigger_error("makebutton: missing 'name' parameter");
		return;
	}

	$file = './locale/de/LC_BUTTONS/'.$name.'-button.gif';
	$file_assets = './assets/images/'.$name.'.gif';
	$file_home = $GLOBALS['ibit_eval_classpath'].'images/'.$name.'-button.gif';

	if ( !file_exists( $file ) and file_exists( $file_assets ) )
	{
		$file = $file_assets;
	}
	elseif ( !file_exists( $file ) and file_exists( $file_home ) )
	{
		$file = './plugins_packages'.$GLOBALS['ibit_eval_pluginpath'].'images/'.$name.'-button.gif';
	}

	if ( $input )
	{
		$result = '<input type="image" src="'.$file.'" name="'.$input_name.'" value="'.$value.'" alt="'.$description.'" title="'.$description.'" border="0" align="absmiddle"'.(empty($onclick)?'':' onclick="'.$onclick.'"').'/>';
	}
	else
	{
		$result = '<img src="'.$file.'" alt="'.$description.'" title="'.$description.'" border="0" align="absmiddle"/>';
		if ( !empty( $link ) )
		{
			$result = '<a href="'.$link.'"'.(empty($target)?'':' target="'.$target.'"').(empty($onclick)?'':' onclick="'.$onclick.'"').'>'.$result.'</a>';
		}
	}

	return $result;
}
?>